Page MenuHomePhabricator

Set up WikibaseLexemeCirrusSearch extension for Elastic code in WikibaseLexeme
Closed, ResolvedPublic

Description

WikibaseLexemeCirrusSearch is be a parallel extension to WikibaseCirrusSearch to implement lexeme-related functionality.

Patches we need:

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Smalyshev updated the task description. (Show Details)Mar 14 2019, 6:53 AM
Smalyshev updated the task description. (Show Details)

Change 496336 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Create option for disabling Cirrus functionality

https://gerrit.wikimedia.org/r/496336

Change 496895 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/WikibaseLexeme@master] Make the test compatible with running under WBCS

https://gerrit.wikimedia.org/r/496895

Change 497457 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/tools/release@master] Add WikibaseLexemeCirrusSearch extension

https://gerrit.wikimedia.org/r/497457

Change 497457 merged by jenkins-bot:
[mediawiki/tools/release@master] Add WikibaseLexemeCirrusSearch extension

https://gerrit.wikimedia.org/r/497457

Change 496342 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Move LexemeDescription out of search

https://gerrit.wikimedia.org/r/496342

Change 496895 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/WikibaseLexeme@master] Make the test compatible with running under WBCS

https://gerrit.wikimedia.org/r/496895

Change 490794 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexemeCirrusSearch@master] Initial set up for WikibaseLexemeCirrusSearch extension

https://gerrit.wikimedia.org/r/490794

Smalyshev updated the task description. (Show Details)Mar 21 2019, 3:56 AM
Smalyshev updated the task description. (Show Details)

Change 497988 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[operations/mediawiki-config@master] Deploy WikibaseLexemeCirrusSearch: Part 1 - set up variables

https://gerrit.wikimedia.org/r/497988

Change 497989 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[operations/mediawiki-config@master] Deploy WikibaseLexemeCirrusSearch: Part 2 - extensionlist

https://gerrit.wikimedia.org/r/497989

Change 497990 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[operations/mediawiki-config@master] [BETA] Enable WikibaseLexemeCirrusSearch on beta wikidata

https://gerrit.wikimedia.org/r/497990

Change 497991 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[operations/mediawiki-config@master] [BETA] Enable WikibaseLexemeCirrusSearch on beta commons

https://gerrit.wikimedia.org/r/497991

Change 497996 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[translatewiki@master] Register WikibaseLexemeCirrusSearch

https://gerrit.wikimedia.org/r/497996

Change 497988 merged by jenkins-bot:
[operations/mediawiki-config@master] Deploy WikibaseLexemeCirrusSearch: Part 1 - set up variables

https://gerrit.wikimedia.org/r/497988

Mentioned in SAL (#wikimedia-operations) [2019-03-25T21:43:14Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T216206 Deploy WikibaseLexemeCirrusSearch: Part 1 - set up variables, sub-part a (duration: 00m 50s)

Mentioned in SAL (#wikimedia-operations) [2019-03-25T21:44:32Z] <jforrester@deploy1001> Synchronized wmf-config/Wikibase.php: T216206 Deploy WikibaseLexemeCirrusSearch: Part 1 - set up variables, sub-part b (duration: 00m 49s)

Change 497996 merged by jenkins-bot:
[translatewiki@master] Register WikibaseLexemeCirrusSearch

https://gerrit.wikimedia.org/r/497996

Change 497989 merged by jenkins-bot:
[operations/mediawiki-config@master] Deploy WikibaseLexemeCirrusSearch: Part 2 - extensionlist

https://gerrit.wikimedia.org/r/497989

Change 497990 merged by jenkins-bot:
[operations/mediawiki-config@master] [BETA] Enable WikibaseLexemeCirrusSearch on beta wikidata

https://gerrit.wikimedia.org/r/497990

Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF updated the task description. (Show Details)

Only things outstanding are production load config patches.

Change 497991 abandoned by Smalyshev:
[BETA] Enable WikibaseLexemeCirrusSearch on beta commons

Reason:
actually, not sure Commons need lexemes... so let's wait with this.

https://gerrit.wikimedia.org/r/497991

Change 499309 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[operations/mediawiki-config@master] Actually load WBCS-Lexeme extension before trying to use it

https://gerrit.wikimedia.org/r/499309

Change 499309 merged by jenkins-bot:
[operations/mediawiki-config@master] Actually load WBCS-Lexeme extension before trying to use it

https://gerrit.wikimedia.org/r/499309

Mentioned in SAL (#wikimedia-operations) [2019-03-26T23:12:39Z] <ebernhardson@deploy1001> Synchronized wmf-config/InitialiseSettings-labs.php: T216206 : sync noop labs config: Actually load WBCS-Lexeme extension before trying to use it (duration: 00m 57s)

Change 499399 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[operations/mediawiki-config@master] Load WikibaseLexemeCirrusSearch on test.wikidata.org

https://gerrit.wikimedia.org/r/499399

Change 499400 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[operations/mediawiki-config@master] Load WikibaseLexemeCirrusSearch on Wikidata

https://gerrit.wikimedia.org/r/499400

Smalyshev updated the task description. (Show Details)Mar 27 2019, 7:27 AM
Smalyshev updated the task description. (Show Details)

Change 499401 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/WikibaseLexemeCirrusSearch@master] Move Cirrus configs to the extension

https://gerrit.wikimedia.org/r/499401

Change 499399 merged by jenkins-bot:
[operations/mediawiki-config@master] Load WikibaseLexemeCirrusSearch on test.wikidata.org

https://gerrit.wikimedia.org/r/499399

Mentioned in SAL (#wikimedia-operations) [2019-03-27T23:25:09Z] <thcipriani@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:499399|Load WikibaseLexemeCirrusSearch on test.wikidata.org]] T216206 (duration: 00m 59s)

Change 499400 merged by jenkins-bot:
[operations/mediawiki-config@master] Load WikibaseLexemeCirrusSearch on Wikidata

https://gerrit.wikimedia.org/r/499400

Mentioned in SAL (#wikimedia-operations) [2019-03-27T23:33:58Z] <thcipriani@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:499400|Load WikibaseLexemeCirrusSearch on Wikidata]] T216206 (duration: 00m 58s)

Smalyshev updated the task description. (Show Details)Mar 28 2019, 5:37 PM

Change 499867 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[operations/mediawiki-config@master] Enable new Lexeme search on testwikidata

https://gerrit.wikimedia.org/r/499867

Smalyshev updated the task description. (Show Details)Mar 28 2019, 7:08 PM
Smalyshev updated the task description. (Show Details)

Change 499878 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/WikibaseLexeme@master] Remove Elastic/Cirrus code - moved to WikibaseLexemeCirrusSearch

https://gerrit.wikimedia.org/r/499878

Change 499867 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable new Lexeme search on testwikidata

https://gerrit.wikimedia.org/r/499867

Mentioned in SAL (#wikimedia-operations) [2019-03-29T00:00:53Z] <krinkle@deploy1001> Synchronized wmf-config/InitialiseSettings.php: I24a5469dbfd0 / T216206 for testwikidatawiki (duration: 00m 50s)

Smalyshev updated the task description. (Show Details)Mar 29 2019, 1:05 AM
Smalyshev removed a project: Patch-For-Review.

Change 496895 abandoned by Smalyshev:
Make the test compatible with running under WBCS

https://gerrit.wikimedia.org/r/496895

Change 499878 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Remove Elastic/Cirrus code - moved to WikibaseLexemeCirrusSearch

https://gerrit.wikimedia.org/r/499878

Change 499401 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexemeCirrusSearch@master] Move Cirrus configs to the extension

https://gerrit.wikimedia.org/r/499401

Smalyshev moved this task from Needs review to Done on the Discovery-Search (Current work) board.
Smalyshev updated the task description. (Show Details)
debt closed this task as Resolved.Apr 5 2019, 10:41 PM

Change 534864 had a related patch set uploaded (by Hashar; owner: Jforrester):
[integration/config@master] layout: Add WikibaseLexeme to WikibaseLexemeCirrusSearch's dependencies

https://gerrit.wikimedia.org/r/534864

Change 534864 merged by jenkins-bot:
[integration/config@master] layout: Add WikibaseLexeme to WikibaseLexemeCirrusSearch's dependencies

https://gerrit.wikimedia.org/r/534864